% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/density_max.R
\name{sv_density_max_col}
\alias{sv_density_max_col}
\title{Calculate the max density in a gg_density_col(..., position == "identity") plot.}
\usage{
sv_density_max_col(
  data,
  x_var,
  col_var,
  model_bw = "nrd0",
  model_adjust = 1,
  model_kernel = "gaussian",
  model_n = 512,
  model_trim = FALSE
)
}
\arguments{
\item{data}{A tibble or dataframe. Required input.}

\item{x_var}{Unquoted numeric variable to be on the x scale. Required input.}

\item{col_var}{Unquoted categorical variable to colour density areas. Required input.}

\item{model_bw}{The bw argument of the stats::density function. Defaults to "nrd0".}

\item{model_adjust}{The adjust argument of the stats::density function. Defaults to 1.}

\item{model_kernel}{The kernel argument of the stats::density function. Defaults to "gaussian".}

\item{model_n}{The n argument of the stats::density function. Defaults to 512.}

\item{model_trim}{The trim argument of the stats::density function. Defaults to FALSE.}
}
\description{
Calculate the max density in a gg_density_col(..., position == "identity") plot.
}
\keyword{internal}
